# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/gtkdocize gcc-c++ pkgconfig(glib-2.0) pkgconfig(gmodule-2.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0) pkgconfig(pygtk-2.0)
# END SourceDeps(oneline)
Name:           swami
Version:        2.0.0
Release:        alt1_5.20110806svn386
Summary:        MIDI instrument and sound editor
Group:          Sound
License:        GPLv2
URL:            http://www.swamiproject.org/
# Upstream applied our patches and switched to cmake in trunk. It is easier
# just to package the trunk than patching it. The original tarball is at
#Source0:        http://downloads.sourceforge.net/swami/swami-%%{version}.tar.gz
Source0:        swami-2.0.0-svn386.tar.bz2
# To fetch the sources
Source1:        swami-snapshot.sh

BuildRequires: ctest cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libfftw3-devel
BuildRequires:  libfluidsynth-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libinstpatch-devel
BuildRequires:  librsvg-devel

Requires:       icon-theme-hicolor
Requires:       swami-libs%{?_isa} = %{version}-%{release}
Source44: import.info

%description
The Swami Project - Sampled Waveforms And Musical Instruments - is a collection
of free software for editing and sharing MIDI instruments and sounds. Swami
aims to provide an instrument editing and sharing software for instrument 
formats such as SoundFont, DLS and GigaSampler. 

%package libs
Group: Sound
Summary:        MIDI instrument and sound editor library

%description libs
Shared libraries for The Swami Project - Sampled Waveforms And Musical
Instruments.

%package devel
Group: Sound
Summary:        MIDI instrument and sound editor development files
Requires:       swami-libs%{?_isa} = %{version}-%{release}

%description devel
Headers and development files for The Swami Project - Sampled Waveforms And
Musical Instruments.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{fedora_cmake} -DLIB_SUFFIX="" -DPLUGINS_DIR=%{_libdir}/swami/ ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-install                                    \
    --add-category="AudioVideo"                         \
    --add-category="X-Jack"                             \
    --remove-category="Application"                     \
    --remove-key="Encoding"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml

%files libs
%doc COPYING
%{_libdir}/lib%{name}*.so.*

%files devel
%doc HACKERS
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_5.20110806svn386
- initial fc import

